NodePublishVolumeRequestProtoTranslator (Apache Hadoop YARN CSI 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.csi.translator, class: NodePublishVolumeRequestProtoTranslator

Package org.apache.hadoop.yarn.csi.translator

# Class NodePublishVolumeRequestProtoTranslator<A,B>

java.lang.Object
org.apache.hadoop.yarn.csi.translator.NodePublishVolumeRequestProtoTranslator<A,B>

Type Parameters:
  `A` - YARN NodePublishVolumeRequest
  `B` - CSI NodePublishVolumeRequest

All Implemented Interfaces:
  `ProtoTranslator<org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest,csi.v0.Csi.NodePublishVolumeRequest>`

public class NodePublishVolumeRequestProtoTranslator<A,B> extends Object implements ProtoTranslator<org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest,csi.v0.Csi.NodePublishVolumeRequest>
This class helps to transform a YARN side NodePublishVolumeRequest to corresponding CSI protocol message.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodePublishVolumeRequestProtoTranslator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest`
  `convertFrom(csi.v0.Csi.NodePublishVolumeRequest messageB)`
  Convert message from type B to type A.
  `csi.v0.Csi.NodePublishVolumeRequest`
  `convertTo(org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest messageA)`
  Convert message from type A to type B.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NodePublishVolumeRequestProtoTranslator

    public NodePublishVolumeRequestProtoTranslator()

- ## Method Details

  - ### convertTo

    public csi.v0.Csi.NodePublishVolumeRequest convertTo(org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest messageA) throws org.apache.hadoop.yarn.exceptions.YarnException
    Description copied from interface: `ProtoTranslator`
    Convert message from type A to type B.
    Specified by:
      `convertTo` in interface `ProtoTranslator<A,B>`
    Returns:
      messageB
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`

  - ### convertFrom

    public org.apache.hadoop.yarn.api.protocolrecords.NodePublishVolumeRequest convertFrom(csi.v0.Csi.NodePublishVolumeRequest messageB) throws org.apache.hadoop.yarn.exceptions.YarnException
    Description copied from interface: `ProtoTranslator`
    Convert message from type B to type A.
    Specified by:
      `convertFrom` in interface `ProtoTranslator<A,B>`
    Returns:
      messageA
    Throws:
      `org.apache.hadoop.yarn.exceptions.YarnException`